Package org.apache.ignite.internal

## Class GridTaskSessionRequest

- java.lang.Object
- - org.apache.ignite.internal.GridTaskSessionRequest

All Implemented Interfaces:
  `Serializable`, `Message`

    public class GridTaskSessionRequest
    extends Object
    implements Message

Task session request.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
`GridTaskSessionRequest()` Empty constructor required by `Externalizable`.
`GridTaskSessionRequest​(IgniteUuid sesId, IgniteUuid jobId, byte[] attrsBytes, Map<?,​?> attrs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`Map<?,​?>` `getAttributes()`
`byte[]` `getAttributesBytes()`
`IgniteUuid` `getJobId()`
`IgniteUuid` `getSessionId()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom​(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo​(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridTaskSessionRequest

    public GridTaskSessionRequest()

Empty constructor required by `Externalizable`.

#### GridTaskSessionRequest

    public GridTaskSessionRequest​(IgniteUuid sesId,
                                  IgniteUuid jobId,
                                  byte[] attrsBytes,
                                  Map<?,​?> attrs)

Parameters:
  `sesId` - Session ID.
  `jobId` - Job ID.
  `attrsBytes` - Serialized attributes.
  `attrs` - Attributes.

### Method Detail

#### getAttributesBytes

    public byte[] getAttributesBytes()

Returns:
  Changed attributes (serialized).

#### getAttributes

    public Map<?,​?> getAttributes()

Returns:
  Changed attributes.

#### getSessionId

    public IgniteUuid getSessionId()

Returns:
  Task session ID.

#### getJobId

    public IgniteUuid getJobId()

Returns:
  Job ID.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo​(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom​(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`